Summary:	kdesvn is yet another client for subversion
Name:		kdesvn
Version:	0.13.0
Release:	%mkrel 2
License:	GPL
Group:		Graphical desktop/KDE
Url:		http://kdesvn.alwins-world.de/
Source0:	http://www.alwins-world.de/programs/download/kdesvn/0.13.x/%{name}-%{version}.tar.bz2
Requires:	graphviz
BuildRequires:	cmake
BuildRequires:	kdelibs-devel 
BuildRequires:	subversion-devel >= 1.2
BuildRequires:	neon-devel
BuildRequires:	apr-devel
BuildRequires:	desktop-file-utils
Requires:       iceauth 
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
kdesvn is yet another client for subversion. But it uses native 
KDE API instead of a extra lib like GAMBAS and it is using the 
native subversion delevelopment API instead of just parsing the 
output of the commandline tool like most other clients do. It tries 
to setup a look and feel like the standard filemanager of KDE and is 
integrated into it via KPart.
The base C++ interface to subversion I took from the (real great) tool 
Rapidsvn (see http://rapidsvn.tigris.org/) with some modifcations and fixes.

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog
%_bindir/*
%_libdir/kde3/*
%_datadir/apps/*
%doc %_docdir/HTML/*/*
%_iconsdir/*/*/*/*
%_datadir/locale/*/*
%_datadir/applications/kde/kdesvn.desktop
%_datadir/config.kcfg/*
%_datadir/services/*
%_mandir/man1/*

#-----------------------------------------------------------------

%define lib_svn_qt %mklibname svnqt 3

%package -n %lib_svn_qt
Summary:	KDE Svn core library
Group:		Graphical desktop/KDE
Obsoletes: %mklibname svnqt 1
Obsoletes: %mklibname svnqt 2

%post -n %lib_svn_qt -p /sbin/ldconfig
%postun -n %lib_svn_qt -p /sbin/ldconfig

%description -n %lib_svn_qt
KDE Svn core library

%files -n %lib_svn_qt
%defattr(-,root,root,-)
%_libdir/*.so.*

#-----------------------------------------------------------------

%package devel
Summary:	kdesvn devel package
Group:		Development/KDE and Qt
Requires:	%lib_svn_qt = %version-%release

%description devel
kdesvn devel package

%files devel 
%defattr(-,root,root,-)
%_includedir/*
%_libdir/*.so
%_libdir/*.la

#-----------------------------------------------------------------

%prep
%setup -q

%build
export QTDIR=%qt3dir
export KDEDIR=%{_prefix}
%cmake

%make

%install
rm -rf %{buildroot}

cd build
%makeinstall_std
cd -

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications/kde/ \
	--add-category='RevisionControl' \
	%buildroot%_datadir/applications/kde/kdesvn.desktop

%clean
rm -rf %{buildroot}


%changelog
* Thu Aug 30 2007 Funda Wang <fundawang@mandriva.org> 0.13.0-2mdv2008.0
+ Revision: 75177
- fix libname
- add RevisionControl menu category

  + Thierry Vignaud <tvignaud@mandriva.com>
    - replace %%_datadir/man by %%_mandir!

* Wed Aug 08 2007 Funda Wang <fundawang@mandriva.org> 0.13.0-1mdv2008.0
+ Revision: 60406
- New version 0.13.0

* Wed Jun 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.12.1-2mdv2008.0
+ Revision: 44897
- [BUGFIX] Add missing Require (iceauth)  (Bug 31615)

* Sun Jun 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.12.1-1mdv2008.0
+ Revision: 43701
- drop hardcoded packager tag
- new version
- spec file clean

* Mon May 07 2007 Laurent Montel <lmontel@mandriva.org> 0.12.0-1mdv2008.0
+ Revision: 23969
- 0.12

* Wed Apr 18 2007 Laurent Montel <lmontel@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 14668
- 0.11.2


* Mon Mar 05 2007 Laurent Montel <lmontel@mandriva.com> 0.11.1-1mdv2007.0
+ Revision: 133103
- 0.11.1
- 0.11.0
- Add sources
- 0.10.0
  Now it used cmake
- Necessary to generate makefile

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Remove unused source
    - Remove patch as it broken menu entry under KDE original menu

* Tue Aug 29 2006 Laurent Montel <lmontel@mandriva.com> 0.9.2-1mdv2007.0
+ Revision: 58273
- 0.9.2

* Sat Jul 29 2006 Helio Chissini de Castro <helio@mandriva.com> 0.9.1-2mdv2007.0
+ Revision: 42486
- Added graphviz dependency. http://qa.mandriva.com/show_bug.cgi?id=23988

* Tue Jul 25 2006 Laurent Montel <lmontel@mandriva.com> 0.9.1-1mdv2007.0
+ Revision: 41961
- 0.9.1

* Wed Jul 19 2006 Laurent Montel <lmontel@mandriva.com> 0.9.0-1mdv2007.0
+ Revision: 41517
- 0.9.0
- 0.8.5
- Fix duplicate menu into new xdg menu
- 0.8.4
  Real fix for x86_64

  + Helio Chissini de Castro <helio@mandriva.com>
    - Small fixes on kdesvn to avoid global warnings on youri
    - Subversion test
    - Changed soname. Got caught in the upgrade.
    - New upstream release 0.8.3
    - Fix again the svn/regular commit breakage.
      * Seg Abr 24 2006 Jerome Martin <jmartin@mandriva.org> 0.8.2-1mdk
    - 0.8.2
    - Miss ldconfig on library
    - New upstream release 0.8.0
    - Created libsvnqt and devel subpackages
    - Increase release
    - Humanmistake under pressure. I need vacations soon or will become too
      depressed because the trashing snowball hitting me
    - Make suitable for other non %%ix86 32 bits archs. Thanks to L. Montel for point this
    - Fixed changelog to make it back to svn
    - Fix compilation against x86_64

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Increase release
    - Fix Description size
    - Add a warning ( kdesvn is in svn)

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu Mar 02 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.4-1mdk
- 0.7.4

* Wed Feb 01 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-1mdk
- 0.7.3

* Fri Jan 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-3mdk
- Missing postun postin

* Fri Jan 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-2mdk
- Use --enable-final
- Fix missing file

* Thu Jan 12 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1mdk
- Clean spec
- 0.7.2
- Add menu entry

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-2mdk
- rebuilt against new openldap-2.3.6 libs

* Thu Aug 18 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 08:54:38 (674)
- First package to Mandriva contrib

* Thu Aug 18 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 08:05:45 (673)
- Created package structure for kdesvn.

